IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network230.248.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
230.248.0.0- Broadcast address
230.255.255.255- First usable
230.248.0.1- Last usable
230.255.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E6F80000· Integer3875012608to3875536895 - Reverse DNS zones
248.230.in-addr.arpa249.230.in-addr.arpa250.230.in-addr.arpa251.230.in-addr.arpa252.230.in-addr.arpa253.230.in-addr.arpa254.230.in-addr.arpa255.230.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100110.11111000.00000000.00000000 | 230.248.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 11100110.11111000.00000000.00000000 | 230.248.0.0 |
| Broadcast | 11100110.11111111.11111111.11111111 | 230.255.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
230.248.0.0/13 makes 256 subnets of /21.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 230.248.0.0/21 | 230.248.0.1 to 230.248.7.254 | 230.248.7.255 | 2,046 |
| 2 | 230.248.8.0/21 | 230.248.8.1 to 230.248.15.254 | 230.248.15.255 | 2,046 |
| 3 | 230.248.16.0/21 | 230.248.16.1 to 230.248.23.254 | 230.248.23.255 | 2,046 |
| 4 | 230.248.24.0/21 | 230.248.24.1 to 230.248.31.254 | 230.248.31.255 | 2,046 |
| 5 | 230.248.32.0/21 | 230.248.32.1 to 230.248.39.254 | 230.248.39.255 | 2,046 |
| 6 | 230.248.40.0/21 | 230.248.40.1 to 230.248.47.254 | 230.248.47.255 | 2,046 |
| 7 | 230.248.48.0/21 | 230.248.48.1 to 230.248.55.254 | 230.248.55.255 | 2,046 |
| 8 | 230.248.56.0/21 | 230.248.56.1 to 230.248.63.254 | 230.248.63.255 | 2,046 |
| 9 | 230.248.64.0/21 | 230.248.64.1 to 230.248.71.254 | 230.248.71.255 | 2,046 |
| 10 | 230.248.72.0/21 | 230.248.72.1 to 230.248.79.254 | 230.248.79.255 | 2,046 |
| 11 | 230.248.80.0/21 | 230.248.80.1 to 230.248.87.254 | 230.248.87.255 | 2,046 |
| 12 | 230.248.88.0/21 | 230.248.88.1 to 230.248.95.254 | 230.248.95.255 | 2,046 |
| 13 | 230.248.96.0/21 | 230.248.96.1 to 230.248.103.254 | 230.248.103.255 | 2,046 |
| 14 | 230.248.104.0/21 | 230.248.104.1 to 230.248.111.254 | 230.248.111.255 | 2,046 |
| 15 | 230.248.112.0/21 | 230.248.112.1 to 230.248.119.254 | 230.248.119.255 | 2,046 |
| 16 | 230.248.120.0/21 | 230.248.120.1 to 230.248.127.254 | 230.248.127.255 | 2,046 |
| 17 | 230.248.128.0/21 | 230.248.128.1 to 230.248.135.254 | 230.248.135.255 | 2,046 |
| 18 | 230.248.136.0/21 | 230.248.136.1 to 230.248.143.254 | 230.248.143.255 | 2,046 |
| 19 | 230.248.144.0/21 | 230.248.144.1 to 230.248.151.254 | 230.248.151.255 | 2,046 |
| 20 | 230.248.152.0/21 | 230.248.152.1 to 230.248.159.254 | 230.248.159.255 | 2,046 |
| 21 | 230.248.160.0/21 | 230.248.160.1 to 230.248.167.254 | 230.248.167.255 | 2,046 |
| 22 | 230.248.168.0/21 | 230.248.168.1 to 230.248.175.254 | 230.248.175.255 | 2,046 |
| 23 | 230.248.176.0/21 | 230.248.176.1 to 230.248.183.254 | 230.248.183.255 | 2,046 |
| 24 | 230.248.184.0/21 | 230.248.184.1 to 230.248.191.254 | 230.248.191.255 | 2,046 |
| 25 | 230.248.192.0/21 | 230.248.192.1 to 230.248.199.254 | 230.248.199.255 | 2,046 |
| 26 | 230.248.200.0/21 | 230.248.200.1 to 230.248.207.254 | 230.248.207.255 | 2,046 |
| 27 | 230.248.208.0/21 | 230.248.208.1 to 230.248.215.254 | 230.248.215.255 | 2,046 |
| 28 | 230.248.216.0/21 | 230.248.216.1 to 230.248.223.254 | 230.248.223.255 | 2,046 |
| 29 | 230.248.224.0/21 | 230.248.224.1 to 230.248.231.254 | 230.248.231.255 | 2,046 |
| 30 | 230.248.232.0/21 | 230.248.232.1 to 230.248.239.254 | 230.248.239.255 | 2,046 |
| 31 | 230.248.240.0/21 | 230.248.240.1 to 230.248.247.254 | 230.248.247.255 | 2,046 |
| 32 | 230.248.248.0/21 | 230.248.248.1 to 230.248.255.254 | 230.248.255.255 | 2,046 |
| 33 | 230.249.0.0/21 | 230.249.0.1 to 230.249.7.254 | 230.249.7.255 | 2,046 |
| 34 | 230.249.8.0/21 | 230.249.8.1 to 230.249.15.254 | 230.249.15.255 | 2,046 |
| 35 | 230.249.16.0/21 | 230.249.16.1 to 230.249.23.254 | 230.249.23.255 | 2,046 |
| 36 | 230.249.24.0/21 | 230.249.24.1 to 230.249.31.254 | 230.249.31.255 | 2,046 |
| 37 | 230.249.32.0/21 | 230.249.32.1 to 230.249.39.254 | 230.249.39.255 | 2,046 |
| 38 | 230.249.40.0/21 | 230.249.40.1 to 230.249.47.254 | 230.249.47.255 | 2,046 |
| 39 | 230.249.48.0/21 | 230.249.48.1 to 230.249.55.254 | 230.249.55.255 | 2,046 |
| 40 | 230.249.56.0/21 | 230.249.56.1 to 230.249.63.254 | 230.249.63.255 | 2,046 |
| 41 | 230.249.64.0/21 | 230.249.64.1 to 230.249.71.254 | 230.249.71.255 | 2,046 |
| 42 | 230.249.72.0/21 | 230.249.72.1 to 230.249.79.254 | 230.249.79.255 | 2,046 |
| 43 | 230.249.80.0/21 | 230.249.80.1 to 230.249.87.254 | 230.249.87.255 | 2,046 |
| 44 | 230.249.88.0/21 | 230.249.88.1 to 230.249.95.254 | 230.249.95.255 | 2,046 |
| 45 | 230.249.96.0/21 | 230.249.96.1 to 230.249.103.254 | 230.249.103.255 | 2,046 |
| 46 | 230.249.104.0/21 | 230.249.104.1 to 230.249.111.254 | 230.249.111.255 | 2,046 |
| 47 | 230.249.112.0/21 | 230.249.112.1 to 230.249.119.254 | 230.249.119.255 | 2,046 |
| 48 | 230.249.120.0/21 | 230.249.120.1 to 230.249.127.254 | 230.249.127.255 | 2,046 |
| 49 | 230.249.128.0/21 | 230.249.128.1 to 230.249.135.254 | 230.249.135.255 | 2,046 |
| 50 | 230.249.136.0/21 | 230.249.136.1 to 230.249.143.254 | 230.249.143.255 | 2,046 |
| 51 | 230.249.144.0/21 | 230.249.144.1 to 230.249.151.254 | 230.249.151.255 | 2,046 |
| 52 | 230.249.152.0/21 | 230.249.152.1 to 230.249.159.254 | 230.249.159.255 | 2,046 |
| 53 | 230.249.160.0/21 | 230.249.160.1 to 230.249.167.254 | 230.249.167.255 | 2,046 |
| 54 | 230.249.168.0/21 | 230.249.168.1 to 230.249.175.254 | 230.249.175.255 | 2,046 |
| 55 | 230.249.176.0/21 | 230.249.176.1 to 230.249.183.254 | 230.249.183.255 | 2,046 |
| 56 | 230.249.184.0/21 | 230.249.184.1 to 230.249.191.254 | 230.249.191.255 | 2,046 |
| 57 | 230.249.192.0/21 | 230.249.192.1 to 230.249.199.254 | 230.249.199.255 | 2,046 |
| 58 | 230.249.200.0/21 | 230.249.200.1 to 230.249.207.254 | 230.249.207.255 | 2,046 |
| 59 | 230.249.208.0/21 | 230.249.208.1 to 230.249.215.254 | 230.249.215.255 | 2,046 |
| 60 | 230.249.216.0/21 | 230.249.216.1 to 230.249.223.254 | 230.249.223.255 | 2,046 |
| 61 | 230.249.224.0/21 | 230.249.224.1 to 230.249.231.254 | 230.249.231.255 | 2,046 |
| 62 | 230.249.232.0/21 | 230.249.232.1 to 230.249.239.254 | 230.249.239.255 | 2,046 |
| 63 | 230.249.240.0/21 | 230.249.240.1 to 230.249.247.254 | 230.249.247.255 | 2,046 |
| 64 | 230.249.248.0/21 | 230.249.248.1 to 230.249.255.254 | 230.249.255.255 | 2,046 |
| 65 | 230.250.0.0/21 | 230.250.0.1 to 230.250.7.254 | 230.250.7.255 | 2,046 |
| 66 | 230.250.8.0/21 | 230.250.8.1 to 230.250.15.254 | 230.250.15.255 | 2,046 |
| 67 | 230.250.16.0/21 | 230.250.16.1 to 230.250.23.254 | 230.250.23.255 | 2,046 |
| 68 | 230.250.24.0/21 | 230.250.24.1 to 230.250.31.254 | 230.250.31.255 | 2,046 |
| 69 | 230.250.32.0/21 | 230.250.32.1 to 230.250.39.254 | 230.250.39.255 | 2,046 |
| 70 | 230.250.40.0/21 | 230.250.40.1 to 230.250.47.254 | 230.250.47.255 | 2,046 |
| 71 | 230.250.48.0/21 | 230.250.48.1 to 230.250.55.254 | 230.250.55.255 | 2,046 |
| 72 | 230.250.56.0/21 | 230.250.56.1 to 230.250.63.254 | 230.250.63.255 | 2,046 |
| 73 | 230.250.64.0/21 | 230.250.64.1 to 230.250.71.254 | 230.250.71.255 | 2,046 |
| 74 | 230.250.72.0/21 | 230.250.72.1 to 230.250.79.254 | 230.250.79.255 | 2,046 |
| 75 | 230.250.80.0/21 | 230.250.80.1 to 230.250.87.254 | 230.250.87.255 | 2,046 |
| 76 | 230.250.88.0/21 | 230.250.88.1 to 230.250.95.254 | 230.250.95.255 | 2,046 |
| 77 | 230.250.96.0/21 | 230.250.96.1 to 230.250.103.254 | 230.250.103.255 | 2,046 |
| 78 | 230.250.104.0/21 | 230.250.104.1 to 230.250.111.254 | 230.250.111.255 | 2,046 |
| 79 | 230.250.112.0/21 | 230.250.112.1 to 230.250.119.254 | 230.250.119.255 | 2,046 |
| 80 | 230.250.120.0/21 | 230.250.120.1 to 230.250.127.254 | 230.250.127.255 | 2,046 |
| 81 | 230.250.128.0/21 | 230.250.128.1 to 230.250.135.254 | 230.250.135.255 | 2,046 |
| 82 | 230.250.136.0/21 | 230.250.136.1 to 230.250.143.254 | 230.250.143.255 | 2,046 |
| 83 | 230.250.144.0/21 | 230.250.144.1 to 230.250.151.254 | 230.250.151.255 | 2,046 |
| 84 | 230.250.152.0/21 | 230.250.152.1 to 230.250.159.254 | 230.250.159.255 | 2,046 |
| 85 | 230.250.160.0/21 | 230.250.160.1 to 230.250.167.254 | 230.250.167.255 | 2,046 |
| 86 | 230.250.168.0/21 | 230.250.168.1 to 230.250.175.254 | 230.250.175.255 | 2,046 |
| 87 | 230.250.176.0/21 | 230.250.176.1 to 230.250.183.254 | 230.250.183.255 | 2,046 |
| 88 | 230.250.184.0/21 | 230.250.184.1 to 230.250.191.254 | 230.250.191.255 | 2,046 |
| 89 | 230.250.192.0/21 | 230.250.192.1 to 230.250.199.254 | 230.250.199.255 | 2,046 |
| 90 | 230.250.200.0/21 | 230.250.200.1 to 230.250.207.254 | 230.250.207.255 | 2,046 |
| 91 | 230.250.208.0/21 | 230.250.208.1 to 230.250.215.254 | 230.250.215.255 | 2,046 |
| 92 | 230.250.216.0/21 | 230.250.216.1 to 230.250.223.254 | 230.250.223.255 | 2,046 |
| 93 | 230.250.224.0/21 | 230.250.224.1 to 230.250.231.254 | 230.250.231.255 | 2,046 |
| 94 | 230.250.232.0/21 | 230.250.232.1 to 230.250.239.254 | 230.250.239.255 | 2,046 |
| 95 | 230.250.240.0/21 | 230.250.240.1 to 230.250.247.254 | 230.250.247.255 | 2,046 |
| 96 | 230.250.248.0/21 | 230.250.248.1 to 230.250.255.254 | 230.250.255.255 | 2,046 |
| 97 | 230.251.0.0/21 | 230.251.0.1 to 230.251.7.254 | 230.251.7.255 | 2,046 |
| 98 | 230.251.8.0/21 | 230.251.8.1 to 230.251.15.254 | 230.251.15.255 | 2,046 |
| 99 | 230.251.16.0/21 | 230.251.16.1 to 230.251.23.254 | 230.251.23.255 | 2,046 |
| 100 | 230.251.24.0/21 | 230.251.24.1 to 230.251.31.254 | 230.251.31.255 | 2,046 |
| 101 | 230.251.32.0/21 | 230.251.32.1 to 230.251.39.254 | 230.251.39.255 | 2,046 |
| 102 | 230.251.40.0/21 | 230.251.40.1 to 230.251.47.254 | 230.251.47.255 | 2,046 |
| 103 | 230.251.48.0/21 | 230.251.48.1 to 230.251.55.254 | 230.251.55.255 | 2,046 |
| 104 | 230.251.56.0/21 | 230.251.56.1 to 230.251.63.254 | 230.251.63.255 | 2,046 |
| 105 | 230.251.64.0/21 | 230.251.64.1 to 230.251.71.254 | 230.251.71.255 | 2,046 |
| 106 | 230.251.72.0/21 | 230.251.72.1 to 230.251.79.254 | 230.251.79.255 | 2,046 |
| 107 | 230.251.80.0/21 | 230.251.80.1 to 230.251.87.254 | 230.251.87.255 | 2,046 |
| 108 | 230.251.88.0/21 | 230.251.88.1 to 230.251.95.254 | 230.251.95.255 | 2,046 |
| 109 | 230.251.96.0/21 | 230.251.96.1 to 230.251.103.254 | 230.251.103.255 | 2,046 |
| 110 | 230.251.104.0/21 | 230.251.104.1 to 230.251.111.254 | 230.251.111.255 | 2,046 |
| 111 | 230.251.112.0/21 | 230.251.112.1 to 230.251.119.254 | 230.251.119.255 | 2,046 |
| 112 | 230.251.120.0/21 | 230.251.120.1 to 230.251.127.254 | 230.251.127.255 | 2,046 |
| 113 | 230.251.128.0/21 | 230.251.128.1 to 230.251.135.254 | 230.251.135.255 | 2,046 |
| 114 | 230.251.136.0/21 | 230.251.136.1 to 230.251.143.254 | 230.251.143.255 | 2,046 |
| 115 | 230.251.144.0/21 | 230.251.144.1 to 230.251.151.254 | 230.251.151.255 | 2,046 |
| 116 | 230.251.152.0/21 | 230.251.152.1 to 230.251.159.254 | 230.251.159.255 | 2,046 |
| 117 | 230.251.160.0/21 | 230.251.160.1 to 230.251.167.254 | 230.251.167.255 | 2,046 |
| 118 | 230.251.168.0/21 | 230.251.168.1 to 230.251.175.254 | 230.251.175.255 | 2,046 |
| 119 | 230.251.176.0/21 | 230.251.176.1 to 230.251.183.254 | 230.251.183.255 | 2,046 |
| 120 | 230.251.184.0/21 | 230.251.184.1 to 230.251.191.254 | 230.251.191.255 | 2,046 |
| 121 | 230.251.192.0/21 | 230.251.192.1 to 230.251.199.254 | 230.251.199.255 | 2,046 |
| 122 | 230.251.200.0/21 | 230.251.200.1 to 230.251.207.254 | 230.251.207.255 | 2,046 |
| 123 | 230.251.208.0/21 | 230.251.208.1 to 230.251.215.254 | 230.251.215.255 | 2,046 |
| 124 | 230.251.216.0/21 | 230.251.216.1 to 230.251.223.254 | 230.251.223.255 | 2,046 |
| 125 | 230.251.224.0/21 | 230.251.224.1 to 230.251.231.254 | 230.251.231.255 | 2,046 |
| 126 | 230.251.232.0/21 | 230.251.232.1 to 230.251.239.254 | 230.251.239.255 | 2,046 |
| 127 | 230.251.240.0/21 | 230.251.240.1 to 230.251.247.254 | 230.251.247.255 | 2,046 |
| 128 | 230.251.248.0/21 | 230.251.248.1 to 230.251.255.254 | 230.251.255.255 | 2,046 |
| 129 | 230.252.0.0/21 | 230.252.0.1 to 230.252.7.254 | 230.252.7.255 | 2,046 |
| 130 | 230.252.8.0/21 | 230.252.8.1 to 230.252.15.254 | 230.252.15.255 | 2,046 |
| 131 | 230.252.16.0/21 | 230.252.16.1 to 230.252.23.254 | 230.252.23.255 | 2,046 |
| 132 | 230.252.24.0/21 | 230.252.24.1 to 230.252.31.254 | 230.252.31.255 | 2,046 |
| 133 | 230.252.32.0/21 | 230.252.32.1 to 230.252.39.254 | 230.252.39.255 | 2,046 |
| 134 | 230.252.40.0/21 | 230.252.40.1 to 230.252.47.254 | 230.252.47.255 | 2,046 |
| 135 | 230.252.48.0/21 | 230.252.48.1 to 230.252.55.254 | 230.252.55.255 | 2,046 |
| 136 | 230.252.56.0/21 | 230.252.56.1 to 230.252.63.254 | 230.252.63.255 | 2,046 |
| 137 | 230.252.64.0/21 | 230.252.64.1 to 230.252.71.254 | 230.252.71.255 | 2,046 |
| 138 | 230.252.72.0/21 | 230.252.72.1 to 230.252.79.254 | 230.252.79.255 | 2,046 |
| 139 | 230.252.80.0/21 | 230.252.80.1 to 230.252.87.254 | 230.252.87.255 | 2,046 |
| 140 | 230.252.88.0/21 | 230.252.88.1 to 230.252.95.254 | 230.252.95.255 | 2,046 |
| 141 | 230.252.96.0/21 | 230.252.96.1 to 230.252.103.254 | 230.252.103.255 | 2,046 |
| 142 | 230.252.104.0/21 | 230.252.104.1 to 230.252.111.254 | 230.252.111.255 | 2,046 |
| 143 | 230.252.112.0/21 | 230.252.112.1 to 230.252.119.254 | 230.252.119.255 | 2,046 |
| 144 | 230.252.120.0/21 | 230.252.120.1 to 230.252.127.254 | 230.252.127.255 | 2,046 |
| 145 | 230.252.128.0/21 | 230.252.128.1 to 230.252.135.254 | 230.252.135.255 | 2,046 |
| 146 | 230.252.136.0/21 | 230.252.136.1 to 230.252.143.254 | 230.252.143.255 | 2,046 |
| 147 | 230.252.144.0/21 | 230.252.144.1 to 230.252.151.254 | 230.252.151.255 | 2,046 |
| 148 | 230.252.152.0/21 | 230.252.152.1 to 230.252.159.254 | 230.252.159.255 | 2,046 |
| 149 | 230.252.160.0/21 | 230.252.160.1 to 230.252.167.254 | 230.252.167.255 | 2,046 |
| 150 | 230.252.168.0/21 | 230.252.168.1 to 230.252.175.254 | 230.252.175.255 | 2,046 |
| 151 | 230.252.176.0/21 | 230.252.176.1 to 230.252.183.254 | 230.252.183.255 | 2,046 |
| 152 | 230.252.184.0/21 | 230.252.184.1 to 230.252.191.254 | 230.252.191.255 | 2,046 |
| 153 | 230.252.192.0/21 | 230.252.192.1 to 230.252.199.254 | 230.252.199.255 | 2,046 |
| 154 | 230.252.200.0/21 | 230.252.200.1 to 230.252.207.254 | 230.252.207.255 | 2,046 |
| 155 | 230.252.208.0/21 | 230.252.208.1 to 230.252.215.254 | 230.252.215.255 | 2,046 |
| 156 | 230.252.216.0/21 | 230.252.216.1 to 230.252.223.254 | 230.252.223.255 | 2,046 |
| 157 | 230.252.224.0/21 | 230.252.224.1 to 230.252.231.254 | 230.252.231.255 | 2,046 |
| 158 | 230.252.232.0/21 | 230.252.232.1 to 230.252.239.254 | 230.252.239.255 | 2,046 |
| 159 | 230.252.240.0/21 | 230.252.240.1 to 230.252.247.254 | 230.252.247.255 | 2,046 |
| 160 | 230.252.248.0/21 | 230.252.248.1 to 230.252.255.254 | 230.252.255.255 | 2,046 |
| 161 | 230.253.0.0/21 | 230.253.0.1 to 230.253.7.254 | 230.253.7.255 | 2,046 |
| 162 | 230.253.8.0/21 | 230.253.8.1 to 230.253.15.254 | 230.253.15.255 | 2,046 |
| 163 | 230.253.16.0/21 | 230.253.16.1 to 230.253.23.254 | 230.253.23.255 | 2,046 |
| 164 | 230.253.24.0/21 | 230.253.24.1 to 230.253.31.254 | 230.253.31.255 | 2,046 |
| 165 | 230.253.32.0/21 | 230.253.32.1 to 230.253.39.254 | 230.253.39.255 | 2,046 |
| 166 | 230.253.40.0/21 | 230.253.40.1 to 230.253.47.254 | 230.253.47.255 | 2,046 |
| 167 | 230.253.48.0/21 | 230.253.48.1 to 230.253.55.254 | 230.253.55.255 | 2,046 |
| 168 | 230.253.56.0/21 | 230.253.56.1 to 230.253.63.254 | 230.253.63.255 | 2,046 |
| 169 | 230.253.64.0/21 | 230.253.64.1 to 230.253.71.254 | 230.253.71.255 | 2,046 |
| 170 | 230.253.72.0/21 | 230.253.72.1 to 230.253.79.254 | 230.253.79.255 | 2,046 |
| 171 | 230.253.80.0/21 | 230.253.80.1 to 230.253.87.254 | 230.253.87.255 | 2,046 |
| 172 | 230.253.88.0/21 | 230.253.88.1 to 230.253.95.254 | 230.253.95.255 | 2,046 |
| 173 | 230.253.96.0/21 | 230.253.96.1 to 230.253.103.254 | 230.253.103.255 | 2,046 |
| 174 | 230.253.104.0/21 | 230.253.104.1 to 230.253.111.254 | 230.253.111.255 | 2,046 |
| 175 | 230.253.112.0/21 | 230.253.112.1 to 230.253.119.254 | 230.253.119.255 | 2,046 |
| 176 | 230.253.120.0/21 | 230.253.120.1 to 230.253.127.254 | 230.253.127.255 | 2,046 |
| 177 | 230.253.128.0/21 | 230.253.128.1 to 230.253.135.254 | 230.253.135.255 | 2,046 |
| 178 | 230.253.136.0/21 | 230.253.136.1 to 230.253.143.254 | 230.253.143.255 | 2,046 |
| 179 | 230.253.144.0/21 | 230.253.144.1 to 230.253.151.254 | 230.253.151.255 | 2,046 |
| 180 | 230.253.152.0/21 | 230.253.152.1 to 230.253.159.254 | 230.253.159.255 | 2,046 |
| 181 | 230.253.160.0/21 | 230.253.160.1 to 230.253.167.254 | 230.253.167.255 | 2,046 |
| 182 | 230.253.168.0/21 | 230.253.168.1 to 230.253.175.254 | 230.253.175.255 | 2,046 |
| 183 | 230.253.176.0/21 | 230.253.176.1 to 230.253.183.254 | 230.253.183.255 | 2,046 |
| 184 | 230.253.184.0/21 | 230.253.184.1 to 230.253.191.254 | 230.253.191.255 | 2,046 |
| 185 | 230.253.192.0/21 | 230.253.192.1 to 230.253.199.254 | 230.253.199.255 | 2,046 |
| 186 | 230.253.200.0/21 | 230.253.200.1 to 230.253.207.254 | 230.253.207.255 | 2,046 |
| 187 | 230.253.208.0/21 | 230.253.208.1 to 230.253.215.254 | 230.253.215.255 | 2,046 |
| 188 | 230.253.216.0/21 | 230.253.216.1 to 230.253.223.254 | 230.253.223.255 | 2,046 |
| 189 | 230.253.224.0/21 | 230.253.224.1 to 230.253.231.254 | 230.253.231.255 | 2,046 |
| 190 | 230.253.232.0/21 | 230.253.232.1 to 230.253.239.254 | 230.253.239.255 | 2,046 |
| 191 | 230.253.240.0/21 | 230.253.240.1 to 230.253.247.254 | 230.253.247.255 | 2,046 |
| 192 | 230.253.248.0/21 | 230.253.248.1 to 230.253.255.254 | 230.253.255.255 | 2,046 |
| 193 | 230.254.0.0/21 | 230.254.0.1 to 230.254.7.254 | 230.254.7.255 | 2,046 |
| 194 | 230.254.8.0/21 | 230.254.8.1 to 230.254.15.254 | 230.254.15.255 | 2,046 |
| 195 | 230.254.16.0/21 | 230.254.16.1 to 230.254.23.254 | 230.254.23.255 | 2,046 |
| 196 | 230.254.24.0/21 | 230.254.24.1 to 230.254.31.254 | 230.254.31.255 | 2,046 |
| 197 | 230.254.32.0/21 | 230.254.32.1 to 230.254.39.254 | 230.254.39.255 | 2,046 |
| 198 | 230.254.40.0/21 | 230.254.40.1 to 230.254.47.254 | 230.254.47.255 | 2,046 |
| 199 | 230.254.48.0/21 | 230.254.48.1 to 230.254.55.254 | 230.254.55.255 | 2,046 |
| 200 | 230.254.56.0/21 | 230.254.56.1 to 230.254.63.254 | 230.254.63.255 | 2,046 |
| 201 | 230.254.64.0/21 | 230.254.64.1 to 230.254.71.254 | 230.254.71.255 | 2,046 |
| 202 | 230.254.72.0/21 | 230.254.72.1 to 230.254.79.254 | 230.254.79.255 | 2,046 |
| 203 | 230.254.80.0/21 | 230.254.80.1 to 230.254.87.254 | 230.254.87.255 | 2,046 |
| 204 | 230.254.88.0/21 | 230.254.88.1 to 230.254.95.254 | 230.254.95.255 | 2,046 |
| 205 | 230.254.96.0/21 | 230.254.96.1 to 230.254.103.254 | 230.254.103.255 | 2,046 |
| 206 | 230.254.104.0/21 | 230.254.104.1 to 230.254.111.254 | 230.254.111.255 | 2,046 |
| 207 | 230.254.112.0/21 | 230.254.112.1 to 230.254.119.254 | 230.254.119.255 | 2,046 |
| 208 | 230.254.120.0/21 | 230.254.120.1 to 230.254.127.254 | 230.254.127.255 | 2,046 |
| 209 | 230.254.128.0/21 | 230.254.128.1 to 230.254.135.254 | 230.254.135.255 | 2,046 |
| 210 | 230.254.136.0/21 | 230.254.136.1 to 230.254.143.254 | 230.254.143.255 | 2,046 |
| 211 | 230.254.144.0/21 | 230.254.144.1 to 230.254.151.254 | 230.254.151.255 | 2,046 |
| 212 | 230.254.152.0/21 | 230.254.152.1 to 230.254.159.254 | 230.254.159.255 | 2,046 |
| 213 | 230.254.160.0/21 | 230.254.160.1 to 230.254.167.254 | 230.254.167.255 | 2,046 |
| 214 | 230.254.168.0/21 | 230.254.168.1 to 230.254.175.254 | 230.254.175.255 | 2,046 |
| 215 | 230.254.176.0/21 | 230.254.176.1 to 230.254.183.254 | 230.254.183.255 | 2,046 |
| 216 | 230.254.184.0/21 | 230.254.184.1 to 230.254.191.254 | 230.254.191.255 | 2,046 |
| 217 | 230.254.192.0/21 | 230.254.192.1 to 230.254.199.254 | 230.254.199.255 | 2,046 |
| 218 | 230.254.200.0/21 | 230.254.200.1 to 230.254.207.254 | 230.254.207.255 | 2,046 |
| 219 | 230.254.208.0/21 | 230.254.208.1 to 230.254.215.254 | 230.254.215.255 | 2,046 |
| 220 | 230.254.216.0/21 | 230.254.216.1 to 230.254.223.254 | 230.254.223.255 | 2,046 |
| 221 | 230.254.224.0/21 | 230.254.224.1 to 230.254.231.254 | 230.254.231.255 | 2,046 |
| 222 | 230.254.232.0/21 | 230.254.232.1 to 230.254.239.254 | 230.254.239.255 | 2,046 |
| 223 | 230.254.240.0/21 | 230.254.240.1 to 230.254.247.254 | 230.254.247.255 | 2,046 |
| 224 | 230.254.248.0/21 | 230.254.248.1 to 230.254.255.254 | 230.254.255.255 | 2,046 |
| 225 | 230.255.0.0/21 | 230.255.0.1 to 230.255.7.254 | 230.255.7.255 | 2,046 |
| 226 | 230.255.8.0/21 | 230.255.8.1 to 230.255.15.254 | 230.255.15.255 | 2,046 |
| 227 | 230.255.16.0/21 | 230.255.16.1 to 230.255.23.254 | 230.255.23.255 | 2,046 |
| 228 | 230.255.24.0/21 | 230.255.24.1 to 230.255.31.254 | 230.255.31.255 | 2,046 |
| 229 | 230.255.32.0/21 | 230.255.32.1 to 230.255.39.254 | 230.255.39.255 | 2,046 |
| 230 | 230.255.40.0/21 | 230.255.40.1 to 230.255.47.254 | 230.255.47.255 | 2,046 |
| 231 | 230.255.48.0/21 | 230.255.48.1 to 230.255.55.254 | 230.255.55.255 | 2,046 |
| 232 | 230.255.56.0/21 | 230.255.56.1 to 230.255.63.254 | 230.255.63.255 | 2,046 |
| 233 | 230.255.64.0/21 | 230.255.64.1 to 230.255.71.254 | 230.255.71.255 | 2,046 |
| 234 | 230.255.72.0/21 | 230.255.72.1 to 230.255.79.254 | 230.255.79.255 | 2,046 |
| 235 | 230.255.80.0/21 | 230.255.80.1 to 230.255.87.254 | 230.255.87.255 | 2,046 |
| 236 | 230.255.88.0/21 | 230.255.88.1 to 230.255.95.254 | 230.255.95.255 | 2,046 |
| 237 | 230.255.96.0/21 | 230.255.96.1 to 230.255.103.254 | 230.255.103.255 | 2,046 |
| 238 | 230.255.104.0/21 | 230.255.104.1 to 230.255.111.254 | 230.255.111.255 | 2,046 |
| 239 | 230.255.112.0/21 | 230.255.112.1 to 230.255.119.254 | 230.255.119.255 | 2,046 |
| 240 | 230.255.120.0/21 | 230.255.120.1 to 230.255.127.254 | 230.255.127.255 | 2,046 |
| 241 | 230.255.128.0/21 | 230.255.128.1 to 230.255.135.254 | 230.255.135.255 | 2,046 |
| 242 | 230.255.136.0/21 | 230.255.136.1 to 230.255.143.254 | 230.255.143.255 | 2,046 |
| 243 | 230.255.144.0/21 | 230.255.144.1 to 230.255.151.254 | 230.255.151.255 | 2,046 |
| 244 | 230.255.152.0/21 | 230.255.152.1 to 230.255.159.254 | 230.255.159.255 | 2,046 |
| 245 | 230.255.160.0/21 | 230.255.160.1 to 230.255.167.254 | 230.255.167.255 | 2,046 |
| 246 | 230.255.168.0/21 | 230.255.168.1 to 230.255.175.254 | 230.255.175.255 | 2,046 |
| 247 | 230.255.176.0/21 | 230.255.176.1 to 230.255.183.254 | 230.255.183.255 | 2,046 |
| 248 | 230.255.184.0/21 | 230.255.184.1 to 230.255.191.254 | 230.255.191.255 | 2,046 |
| 249 | 230.255.192.0/21 | 230.255.192.1 to 230.255.199.254 | 230.255.199.255 | 2,046 |
| 250 | 230.255.200.0/21 | 230.255.200.1 to 230.255.207.254 | 230.255.207.255 | 2,046 |
| 251 | 230.255.208.0/21 | 230.255.208.1 to 230.255.215.254 | 230.255.215.255 | 2,046 |
| 252 | 230.255.216.0/21 | 230.255.216.1 to 230.255.223.254 | 230.255.223.255 | 2,046 |
| 253 | 230.255.224.0/21 | 230.255.224.1 to 230.255.231.254 | 230.255.231.255 | 2,046 |
| 254 | 230.255.232.0/21 | 230.255.232.1 to 230.255.239.254 | 230.255.239.255 | 2,046 |
| 255 | 230.255.240.0/21 | 230.255.240.1 to 230.255.247.254 | 230.255.247.255 | 2,046 |
| 256 | 230.255.248.0/21 | 230.255.248.1 to 230.255.255.254 | 230.255.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |